---
title: WebGL2RenderingContext.getQueryParameter()
slug: Web/API/WebGL2RenderingContext/getQueryParameter
tags:
  - API
  - Method
  - Reference
  - WebGL
  - WebGL2
---
<div>{{APIRef("WebGL")}}</div>

<p>The <strong><code>WebGL2RenderingContext.getQueryParameter()</code></strong> method of the <a href="/en-US/docs/Web/API/WebGL_API">WebGL 2 API</a> returns parameter information of a {{domxref("WebGLQuery")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">any <var>gl</var>.getQueryParameter(<var>query</var>, <var>pname</var>);
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>query</dt>
 <dd>A {{domxref("WebGLQuery")}} object.</dd>
 <dt><code>pname</code></dt>
 <dd>A {{domxref("GLenum")}} specifying which information to return. Possible values:
 <ul>
  <li><code>gl.QUERY_RESULT</code>: Returns a {{domxref("GLuint")}} containing the query result.</li>
  <li><code>gl.QUERY_RESULT_AVAILABLE</code>: Returns a {{domxref("GLboolean")}} indicating whether or not a query result is available.</li>
 </ul>
 </dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>Depends on the <code>pname</code> parameter, either a {{domxref("GLuint")}} or a {{domxref("GLboolean")}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">var query = gl.createQuery();
gl.beginQuery(gl.ANY_SAMPLES_PASSED, query);

var result = gl.getQueryParameter(query, gl.QUERY_RESULT);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebGL2', "#3.7.12", "getQueryParameter")}}</td>
   <td>{{Spec2('WebGL2')}}</td>
   <td>Initial definition.</td>
  </tr>
  <tr>
   <td>{{SpecName('OpenGL ES 3.0', "glGetQueryObjectuiv.xhtml", "glGetQueryObjectuiv")}}</td>
   <td>{{Spec2('OpenGL ES 3.0')}}</td>
   <td>Man page of the (similar) OpenGL API.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("api.WebGL2RenderingContext.getQueryParameter")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("WebGLQuery")}}</li>
</ul>
